.newsletter.newsletter-type-1 {
  position: relative;
}

.newsletter-type-1 .newsletter-container {
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin: 0 auto;
}

/* Glassmorphism effect */
.newsletter-type-1 .newsletter-content {
  background: rgba(255, 255, 255, 0.08);
  border-radius: 20px;
  padding: 80px 47px;
  backdrop-filter: blur(5px);
  border: 1px solid transparent;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr 418px;
  gap: 28px;
}
.newsletter-type-1 .newsletter-content-right {
  align-self: center;
}

@media (min-width: 768px) and (max-width: 1024px) {
  .newsletter-type-1 .newsletter-content {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 767px) {
  .newsletter-type-1 .newsletter-content {
    grid-template-columns: 1fr;
  }
}

.newsletter-type-1 .newsletter-content p {
  margin: 0 0 0 0;
}

.newsletter-type-1 .newsletter-form {
  display: flex;
  align-items: center;
  gap: 0;
}

.newsletter-type-1 .newsletter-form input[type="email"] {
  padding: 18px 10px;
  border-radius: var(--input-border-radius, 4px) 0 0 var(--input-border-radius, 4px);
  font-size: 1rem;
  outline: none;
  color: var(--input-text-color, #222);
  width: calc(100% - 145px);
  font-family: var(--body-text-font, var(--text-font, "Inter", sans-serif));
  transition: all 0.3s ease;
}

.newsletter-type-1 .newsletter-form input[type="email"]:focus {
  border-color: var(--input-focus-border, #685dff);
  box-shadow: 0 0 0 2px rgba(104, 93, 255, 0.1);
}

.newsletter-type-1 .subscribe-button {
  padding: 18px 10px;
  font-size: 16px;
  font-weight: 600;
  line-height: normal;
  letter-spacing: -0.16px;
  outline: none;
  width: 145px;
  cursor: pointer;
  font-family: var(--body-text-font, var(--text-font, "Inter", sans-serif));
  transition: all 0.2s;
  overflow: hidden;
}

/* Device-specific styles for tablet and mobile */
@media (min-width: 768px) and (max-width: 1024px) {
  .newsletter-type-1 .newsletter-content {
    padding: 24px 12px;
    max-width: 100%;
    grid-template-columns: 1fr;
  }
}

@media (max-width: 767px) {
  .newsletter-type-1 .newsletter-content {
    padding: 24px 12px;
    max-width: 100%;
    grid-template-columns: 1fr;
  }

  .newsletter-type-1 .newsletter-form input[type="email"],
  .newsletter-type-1 .newsletter-form .subscribe-button {
    padding: 10px;
  }

  .newsletter-type-1 .newsletter-form {
    flex-direction: column;
    gap: 10px;
  }

  .newsletter-type-1 .newsletter-form input[type="email"] {
    border-radius: var(--input-border-radius, 4px);
    width: -webkit-fill-available;
    padding: 10px;
  }

  .newsletter-type-1 .newsletter-form .subscribe-button {
    width: 100%;
    padding: 10px;
  }
}